/* ymparisto.c */ /* 180598 SJ */

#include <stdio.h>
#include <time.h>
#include <stdlib.h>

int main()
{
  char *mina, *kone, *hakemisto,
       paivayserotin, *perotinmjono;
  time_t nyt;
  struct tm *nytrakenne;

  mina = getenv("USER");
  kone = getenv("HOST");
  hakemisto = getenv("PWD");

  /* tulostetaan käyttäjätietoja */

  if (mina && kone && hakemisto)
					 
	  printf("Käyttäjä %s suorittaa tätä ohjelmaa \
koneella %s hakemistossa %s.\n",
		 mina, kone, hakemisto);

  /* tulostetaan aika halutussa muodossa */

  nyt = time(NULL);
  nytrakenne = localtime(&nyt);

  perotinmjono = getenv("PEROTIN");

  if (perotinmjono)
	  paivayserotin = perotinmjono[0];
  else
	  paivayserotin = '.';

  printf("%d%c%d%c%d\n", nytrakenne->tm_mday,
		 paivayserotin, nytrakenne->tm_mon + 1,
		 paivayserotin, nytrakenne->tm_year+1900);

  exit(0);
}
